Bug 1118917 - Curl request for HTTP GET with Cookie to an IPV6 address does not send the cookie
Summary: Curl request for HTTP GET with Cookie to an IPV6 address does not send the co...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: curl
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1341503
TreeView+ depends on / blocked
 
Reported: 2014-07-11 23:00 UTC by Narayanan Seshan
Modified: 2016-06-01 08:16 UTC (History)
4 users (show)

Fixed In Version: curl-7.29.0-21.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1341503 (view as bug list)
Environment:
Last Closed: 2014-07-30 21:55:46 UTC


Attachments (Terms of Use)

Description Narayanan Seshan 2014-07-11 23:00:12 UTC
Description of problem: A curl request send to an IPV6 address for HTTP GET with a cookie does not send the cookie in the request. However, if the cookie file is opened and the cookie is sent in the curl as "<cookie-name>=<hash>", then the cookie is sent correctly. The issue is however not seen when the request is sent to a V4 IP address.


Version-Release number of selected component (if applicable):  2.6.25-FC9_32_CAV3


How reproducible: 

Assuming a cookie is present on the local system,

curl -k -v http://[ipv6-address]/<file-name> -b <cookie-name>

Steps to Reproduce:
1.
2.
3.

Actual results:
No cookie sent if the file name is mentioned in the request.

Expected results:
File name should also ensure that curl is able to pass the cookie in the GET request.

Additional info:

Comment 1 Kamil Dudka 2014-07-14 13:20:20 UTC
(In reply to Narayanan Seshan from comment #0)
> Description of problem: A curl request send to an IPV6 address for HTTP GET
> with a cookie does not send the cookie in the request. However, if the
> cookie file is opened and the cookie is sent in the curl as
> "<cookie-name>=<hash>", then the cookie is sent correctly. The issue is
> however not seen when the request is sent to a V4 IP address.

Thank you for reporting the bug!

> Version-Release number of selected component (if applicable): 
> 2.6.25-FC9_32_CAV3

There is no such version of curl in Fedora.

I have backported the upstream fix:

https://github.com/bagder/curl/commit/85b9dc80

... via the following downstream commit:

http://pkgs.fedoraproject.org/cgit/curl.git/commit/?id=b2b2c57e

Comment 2 Fedora Update System 2014-07-14 13:46:49 UTC
curl-7.29.0-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/curl-7.29.0-21.fc19

Comment 3 Narayanan Seshan 2014-07-14 15:20:57 UTC
Ok firstly, 2.6.25-FC9_32_CAV3 is not the version of Curl!! Its the Fedora version that I am running. 

Secondly, the version of Curl is curl 7.18.1. So I request you to please look at the bug and let me know if we can have a fix for the same.

Comment 4 Kamil Dudka 2014-07-15 07:29:57 UTC
The oldest supported Fedora release suffering from this bug is Fedora 19 and there is already an update submitted for this release.  If you want to receive updates for your installation, you need to upgrade it to Fedora 19 (at least):

https://fedoraproject.org/wiki/End_of_life

Alternatively, you can rebuild the curl package yourself, using the above patch.

Comment 5 Paul Howarth 2014-07-15 13:42:59 UTC
You might also find a recent version of curl built for your distribution from upstream's website:

http://curl.haxx.se/download.html

Comment 6 Fedora Update System 2014-07-16 01:59:31 UTC
Package curl-7.29.0-21.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing curl-7.29.0-21.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8338/curl-7.29.0-21.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-07-30 21:55:46 UTC
curl-7.29.0-21.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Michal Karm Babacek 2016-05-31 13:40:30 UTC
@Bogdan, please, include an example from our conversation and reopen it. Request header does not contain expected JSESSIONID key:value :-(

Credit: Bogdan


Note You need to log in before you can comment on or make changes to this bug.